#! /bin/bash

module restore
module use /soft/modulefiles
module load llvm
module load cudatoolkit-standalone
module load mpiwrappers/cray-mpich-llvm

#dbg="-g"
dbg=""

opt="-O3"

flags="${dbg} -fopenmp ${opt} -fopenmp-offload-mandatory -fopenmp-targets=nvptx64 --offload-arch=sm_80"

mpicxx -cxx=clang++ ${flags} flops.cpp -o flops.llvm.exe
