#!/bin/bash

module restore
module use /soft/modulefiles
module load llvm
module load mpiwrappers/cray-mpich-llvm
module load cudatoolkit-standalone

EXE=./flops.llvm.exe
OUTER_ITER=5
INNER_ITER=200

export OMP_NUM_THREADS=1

mpirun -n 1 ${EXE} ${OUTER_ITER} ${INNER_ITER}
